### Method

# Vips Interpolate

#### Declaration [src]

    void
    vips_interpolate (
      VipsInterpolate* interpolate,
      void* out,
      VipsRegion* in,
      double x,
      double y
    )

#### Description [src]

Look up the `interpolate` method in the class and call it. Use `vips_interpolate_get_method()` to get a direct pointer to the function and avoid the lookup overhead.

You need to set `in` and `out` up correctly.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `void*`

  Write result here.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`in`

  Type: `VipsRegion`

  Read source data from here.

  The data is owned by the caller of the method.

`x`

  Type: `double`

  Interpolate value at this position.

`y`

  Type: `double`

  Interpolate value at this position.